# Interface MinilinksResult<L>

interface MinilinksResult<L> {
_updating: boolean;
byFrom: {
[id: Id]: L[];
};
byId: {
[id: Id]: L;
};
byTo: {
[id: Id]: L[];
};
byType: {
[id: Id]: L[];
};
emitter: EventEmitter<DefaultEventMap>;
links: L[];
options: MinilinksGeneratorOptions;
types: {
[id: Id]: L[];
};
virtual: {
[id: Id]: Id;
};
virtualCounter: number;
add(linksArray: any[]): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
apply(linksArray: any[] | MinilinksApplyInput, applyName?: string, applyOptions?: ApplyOptions): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
id(start: DeepClientStartItem, ...path: DeepClientPathItem[]): Id;
name(input: Id | Link<Id>): string;
query(query: Id | QueryLink): any;
remove(idsArray: any[]): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
select(query: Id | QueryLink, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>): any;
subscribe(query: Id | QueryLink, options?: MinilinksQueryOptions<MinilinksQueryOptionAggregate>): Observable<any>;
update(linksArray: any[]): {
anomalies?: MinilinkError[];
errors?: MinilinkError[];
};
}

#### Type Parameters

- L extends Link<Id>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:69

#####
Index

### Properties

_updating
byFrom
byId
byTo
byType
emitter
links
options
types
virtual
virtualCounter

### Methods

add
apply
id
name
query
remove
select
subscribe
update

##
Properties

### _updating

_updating: boolean

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:93

### byFrom

byFrom: {
[id: Id]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:75

### byId

byId: {
[id: Id]: L;
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:74

### byTo

byTo: {
[id: Id]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:76

### byType

byType: {
[id: Id]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:77

### emitter

emitter: EventEmitter<DefaultEventMap>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:79

### links

links: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:72

### options

options: MinilinksGeneratorOptions

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:78

### types

types: {
[id: Id]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:73

### virtual

virtual: {
[id: Id]: Id;
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:70

### virtualCounter

virtualCounter: number

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:71

##
Methods

### add

- add(linksArray): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - linksArray: any[]

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:85

### apply

- apply(linksArray, applyName?, applyOptions?): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - linksArray: any[] | MinilinksApplyInput
  - `Optional` applyName: string
  - `Optional` applyOptions: ApplyOptions

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:94

### id

- id(start, ...path): Id

- #### Parameters

  - start: DeepClientStartItem
  - `Rest`...path: DeepClientPathItem[]

  #### Returns Id

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:82

### name

- name(input): string

- #### Parameters

  - input: Id | Link<Id>

  #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:83

### query

- query(query): any

- #### Parameters

  - query: Id | QueryLink

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:80

### remove

- remove(idsArray): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - idsArray: any[]

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:89

### select

- select(query, options?): any

- #### Parameters

  - query: Id | QueryLink
  - `Optional` options: MinilinksQueryOptions<MinilinksQueryOptionAggregate>

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:81

### subscribe

- subscribe(query, options?): Observable<any>

- #### Parameters

  - query: Id | QueryLink
  - `Optional` options: MinilinksQueryOptions<MinilinksQueryOptionAggregate>

  #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:84

### update

- update(linksArray): {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

- #### Parameters

  - linksArray: any[]

  #### Returns {
  anomalies?: MinilinkError[];
  errors?: MinilinkError[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### `Optional` errors?: MinilinkError[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:98